#root {
  display: flex;
  min-width: 0;
  width: 100%;
  height: 100vh;
  overflow: auto;
}
body {
  overflow: hidden;
}
/* label{
    color: white !important;
} */
.swal2-container {
  z-index: 9999 !important;
}

.MuiTreeItem-label {
  font-size: 1.2rem !important;
}
.MuiToggleButtonGroup-grouped {
  border-radius: 4px !important;
}
.MuiDataGrid-root {
  border: none !important;
}
.loader {
  margin: auto;
  width: 50px;
  height: 50px;
}

.circular-loader {
  animation: rotate 2s linear infinite;
}

.loader-path {
  fill: none;
  strokeWidth: 3px;
  animation: animate-stroke 1.5s ease-in-out infinite;
  strokeLinecap: round;
}

@keyframes rotate {
  100% {
    transform: rotate(360deg);
  }
}

@keyframes animate-stroke {
  0% {
    stroke-dasharray: 1, 200;
    stroke-dashoffset: 0;
    stroke: #2344c4;
  }
  50% {
    stroke-dasharray: 89, 200;
    stroke-dashoffset: -35;
    stroke: #2344c4;
  }
  100% {
    stroke-dasharray: 89, 200;
    stroke-dashoffset: -124;
    stroke: #2344c4;
  }
}
.swal2-container {
  z-index: 9999 !important;
}

.hideAlphaControl {
  .react-colorful__alpha {
    display: none;
  }
}

.button-link {
  display: -webkit-inline-box;
  display: -webkit-inline-flex;
  display: -ms-inline-flexbox;
  display: inline-flex;
  -webkit-align-items: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  -webkit-justify-content: center;
  justify-content: center;
  position: relative;
  box-sizing: border-box;
  -webkit-tap-highlight-color: transparent;
  background-color: transparent;
  outline: 0;
  border: 0;
  margin: 0;
  border-radius: 0;
  padding: 0;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  vertical-align: middle;
  -moz-appearance: none;
  -webkit-appearance: none;
  -webkit-text-decoration: none;
  text-decoration: none;
  color: inherit;
  font-family: NoirPro, Arial;
  font-weight: 500;
  font-size: 0.8125rem;
  line-height: 1.75;
  text-transform: uppercase;
  min-width: 64px;
  padding: 4px 10px;
  border-radius: 4px;
  -webkit-transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms,
    box-shadow 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms,
    border-color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms,
    color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms,
    box-shadow 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms,
    border-color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms,
    color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
  color: #fff;
  background-color: #2C73FF;
  box-shadow: 0px 3px 1px -2px rgba(0, 0, 0, 0.2),
    0px 2px 2px 0px rgba(0, 0, 0, 0.14), 0px 1px 5px 0px rgba(0, 0, 0, 0.12);
  font-weight: 400;
  letter-spacing: 1px;
  font-size: 12px;
  -webkit-transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms,
    box-shadow 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms,
    border-color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms,
    box-shadow 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms,
    border-color 250ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
  margin-bottom: 24px;
  border: 3px solid;
  border-color: #cfc4e9;
  border-radius: 16px;
  padding-left: 40px;
  padding-right: 40px;
  padding-top: 5px;
  padding-bottom: 5px;
  font-size: 18px;
}

.button-link:hover {
  -webkit-text-decoration: none;
  text-decoration: none;
  background-color: #170f49;
  box-shadow: 0px 2px 4px -1px rgba(0, 0, 0, 0.2),
    0px 4px 5px 0px rgba(0, 0, 0, 0.14), 0px 1px 10px 0px rgba(0, 0, 0, 0.12);
}

.hidden {
  display: none !important;
}

/* --------- connection facebbok and insta css -------------------- */
.face-profile-card-wrap[data-connection="connected"]::before,
.nova-dal-wrap-innr[data-connection="connected"]::before {
  content: none;
}

.face-profile-card-wrap[data-connection="connected"] .nova-socil-btn,
.nova-dal-wrap-innr[data-connection="connected"] button.nova-new-btn {
  display: none;
}

@font-face {
  font-family: 'Digital-7';
  src: url('./fonts/digital/digital-font.ttf') format('truetype');
}